%define oldname xmms-musepack

Name: xmms-in-musepack
Version: 0.98
Release: alt2

Summary: Musepack input plugin for XMMS
License: GPL
Group: Sound
Url: http://www.musepack.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %oldname-%version.tar.bz2
Patch1: %oldname-0.98-alt-use_CFLAGS.patch
Patch3: %oldname-0.98-alt-install_target.patch
Patch4: %oldname-0.98-alt-remove_popups_on_errors.patch

Obsoletes: %oldname
Provides: %oldname = %version

# Automatically added by buildreq on Mon Feb 09 2004
BuildRequires: XFree86-devel esound-devel glib-devel gtk+-devel libaudiofile-devel libxmms-devel

%description
This is an input plugin for XMMS which can play Musepack (.mpc, .mp+) files.

%prep
%setup -q -n %oldname-%version
%patch1 -p1
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="%optflags %optflags_shared"
cd plugin
%make_build

%install
cd plugin
%makeinstall DESTDIR=%buildroot

%files
%doc plugin/ChangeLog plugin/README_mpc-plugin_english.txt
%_libdir/xmms/Input/*

%changelog
* Mon Feb 09 2004 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt2
- Fixed text relocation by exporting CFLAGS.
- Removed annoying popup messages on errors.
- Removed patch for recode since corresponding patch was removed from xmms.
- Renamed to support new naming scheme.

* Fri Mar 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt1
- First build for Sisyphus.
